Bug 430461 - Network Manager 0.7 misses the choice to select the key management
Network Manager 0.7 misses the choice to select the key management
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 03:43 EST by Udo Toedter
Modified: 2008-10-23 13:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 13:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udo Toedter 2008-01-28 03:43:19 EST
Description of problem:
NetworkManager cant connect to WPA Enterprise Networks which  using TKIP.


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.0-svn3204


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
It world be great if there is the possibility to choose the key management style
from the nm-gnome applet. Our university uses tha kindof Network, connecting
with ubuntu works fine, but with fedora its not possible. Usinf wpa_supplicant
with a own configuration file allows me to connect to the net, but it would be
great if the network manager can handle that too 


Additional info:
Comment 1 Dan Williams 2008-01-28 09:54:38 EST
This should already be supported.  Can you attach a working wpa_supplicant
config file so I can see what options your network uses?  NM should
automatically limit the options shown when you connect to the parameters the AP
supports.
Comment 2 Udo Toedter 2008-01-29 02:14:29 EST
Here the vital information from wpa_supplicant.conf

network={
    ssid="802.1X"
    proto=WPA
    key_mgmt=WPA-EAP
    pairwise=TKIP
    group=TKIP
    eap=TTLS
    anonymous_identity="anonymous@uni-jena.de"
    identity="user@uni-jena.de"
    password="secret"
    ca_cert="/etc/certs/cacert.pem"
    phase2="auth=PAP"
    priority=1
    }
Comment 3 Dan Williams 2008-10-20 11:36:56 EDT
So that should already work; is there any problem with latest NM udpates (svn4022.4 or later) and kernel?  If not, what exact options are you choosing in the UI and what would you like to see that you don't see?
Comment 4 Udo Toedter 2008-10-23 04:48:52 EDT
Hello Dan, i dont Fedora 8 anymore, but in Fedora 9 its working, the requested fields in the network manager are now available.

Thanks
Udo
Comment 5 Dan Williams 2008-10-23 13:29:27 EDT
Great, thanks for the reply.

Note You need to log in before you can comment on or make changes to this bug.